com.sun.pdfview.colorspace

## Class PatternSpace

- java.lang.Object
- - com.sun.pdfview.colorspace.PDFColorSpace
  - - com.sun.pdfview.colorspace.PatternSpace

    public class PatternSpace
    extends PDFColorSpace

A PatternSpace fills with a pattern, the name of which is specified in the call to getPaint(). This pattern is read from the resources of the current page. The pattern space may also have a base color space which the pattern is defined in.

### Field Summary

### Fields inherited from class com.sun.pdfview.colorspace.PDFColorSpace

`COLORSPACE_CMYK, COLORSPACE_GRAY, COLORSPACE_PATTERN, COLORSPACE_RGB`

### Constructor Summary

Constructors
Constructor and Description
`PatternSpace()`
`PatternSpace(PDFColorSpace base)` Create a pattern space with the given color space as a base

### Method Summary

Methods
`PDFColorSpace` `getBase()` Get the base color space
`int` `getNumComponents()` Get the number of components we want
`PDFPaint` `getPaint(float[] components)` get the PDFPaint representing the color described by the given color components
`PDFPaint` `getPaint(PDFObject patternObj, float[] components, java.util.Map resources)` Get the paint representing a pattern, optionally with the given base paint.

### Methods inherited from class com.sun.pdfview.colorspace.PDFColorSpace

`getColorSpace, getColorSpace, getColorSpace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PatternSpace

    public PatternSpace()

#### PatternSpace

    public PatternSpace(PDFColorSpace base)

Create a pattern space with the given color space as a base

### Method Detail

#### getBase

    public PDFColorSpace getBase()

Get the base color space

#### getNumComponents

    public int getNumComponents()

Get the number of components we want

Overrides:
  `getNumComponents` in class `PDFColorSpace`

#### getPaint

    public PDFPaint getPaint(float[] components)

get the PDFPaint representing the color described by the given color components

Overrides:
  `getPaint` in class `PDFColorSpace`
Parameters:
  `components` - the color components corresponding to the given colorspace
Returns:
  a PDFPaint object representing the closest Color to the given components.

#### getPaint

    public PDFPaint getPaint(PDFObject patternObj,
                    float[] components,
                    java.util.Map resources)
                      throws java.io.IOException

Get the paint representing a pattern, optionally with the given base paint.

Parameters:
  `patternObj` - the pattern to render
  `components` - the components of the base paint
Throws:
  `java.io.IOException`